SessionControllerIsValid Method

GET /Session/IsValid/ Gets a value indicating whether the session with the specified ID is valid.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax
[HttpGetAttribute]
[ActionNameAttribute("IsValid")]
public HttpResponseMessage IsValid(
	Nullable<Guid> overrideId = null,
	Nullable<Guid> sessionId = null
)

Parameters

overrideId (Optional)
Type: SystemNullableGuid
An explicit session ID to check. Optional. If not specified, this method will check the session ID given via the WebAppSessionIdCookieName cookie, or via the standard sessionId parameter.
sessionId (Optional)
Type: SystemNullableGuid
The ID of the session to check.

Return Value

Type: HttpResponseMessage
A Boolean value indicating whether the session is valid; or a status code indicating the reason for failure.
See Also